# Uses of Class
org.apache.lucene.analysis.util.CharArrayIterator

Packages that use CharArrayIterator
Package
Description
org.apache.lucene.analysis.util
Utility functions for text analysis.

- ## Uses of CharArrayIterator in org.apache.lucene.analysis.util

  Methods in org.apache.lucene.analysis.util that return CharArrayIterator
  Modifier and Type
  Method
  Description
  `CharArrayIterator`
  CharArrayIterator.`clone()`
  `static CharArrayIterator`
  CharArrayIterator.`newSentenceInstance()`
  Create a new CharArrayIterator that works around JRE bugs in a manner suitable for `BreakIterator.getSentenceInstance()`
  `static CharArrayIterator`
  CharArrayIterator.`newWordInstance()`
  Create a new CharArrayIterator that works around JRE bugs in a manner suitable for `BreakIterator.getWordInstance()`